diff --git a/README.md b/README.md
index 0e79f10547..3f357af24e 100644
--- a/README.md
+++ b/README.md
@@ -24,9 +24,9 @@ Three types of applications are available: for the **desktop** (Windows, macOS a
Operating System | Download | Alternative
-----------------|--------|-------------------
-Windows (32 and 64-bit) | | Or get the Portable version
The [portable application](https://en.wikipedia.org/wiki/Portable_application) allows installing the software on a portable device such as a USB key. Simply copy the file JoplinPortable.exe in any directory on that USB key ; the application will then create a directory called "JoplinProfile" next to the executable file.
-macOS | | You can also use Homebrew: `brew cask install joplin`
-Linux |
| An Arch Linux package [is also available](#terminal-application).
If it works with your distribution (it has been tested on Ubuntu, Fedora, Gnome and Mint), the recommended way is to use this script as it will handle the desktop icon too:
`wget -O - https://raw.githubusercontent.com/laurent22/joplin/master/Joplin_install_and_update.sh \| bash`
+Windows (32 and 64-bit) | | Or get the Portable version
The [portable application](https://en.wikipedia.org/wiki/Portable_application) allows installing the software on a portable device such as a USB key. Simply copy the file JoplinPortable.exe in any directory on that USB key ; the application will then create a directory called "JoplinProfile" next to the executable file.
+macOS | | You can also use Homebrew: `brew cask install joplin`
+Linux |
| An Arch Linux package [is also available](#terminal-application).
If it works with your distribution (it has been tested on Ubuntu, Fedora, Gnome and Mint), the recommended way is to use this script as it will handle the desktop icon too:
`wget -O - https://raw.githubusercontent.com/laurent22/joplin/master/Joplin_install_and_update.sh \| bash`
## Mobile applications
diff --git a/Tools/build-all.sh b/Tools/build-all.sh
index 3d1962fdf3..1ed010320d 100755
--- a/Tools/build-all.sh
+++ b/Tools/build-all.sh
@@ -1,5 +1,35 @@
#!/bin/bash
+set -e
+
ROOT_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
+echo "---------------------------------------------------"
+echo "Rebuild API doc..."
+echo "---------------------------------------------------"
# TODO: When the apidoc command fails, it copy the failure in api.md, but shouldn't be doing that
-"$ROOT_DIR/../CliClient/run.sh" apidoc > "$ROOT_DIR/../readme/api.md" && node "$ROOT_DIR/update-readme-download.js" && node "$ROOT_DIR/build-release-stats.js" && node "$ROOT_DIR/build-welcome.js" && node "$ROOT_DIR/build-website.js" && git add -A && git commit -m "Update website" && git pull && git push
\ No newline at end of file
+"$ROOT_DIR/../CliClient/run.sh" apidoc > "$ROOT_DIR/../readme/api.md"
+
+echo "---------------------------------------------------"
+echo "$ROOT_DIR/update-readme-download.js..."
+echo "---------------------------------------------------"
+node "$ROOT_DIR/update-readme-download.js"
+
+echo "---------------------------------------------------"
+echo "$ROOT_DIR/build-release-stats.js..."
+echo "---------------------------------------------------"
+node "$ROOT_DIR/build-release-stats.js"
+
+echo "---------------------------------------------------"
+echo "$ROOT_DIR/build-welcome.js..."
+echo "---------------------------------------------------"
+node "$ROOT_DIR/build-welcome.js"
+
+echo "---------------------------------------------------"
+echo "$ROOT_DIR/build-website.js..."
+echo "---------------------------------------------------"
+node "$ROOT_DIR/build-website.js"
+
+echo "---------------------------------------------------"
+echo "Commit changes..."
+echo "---------------------------------------------------"
+git add -A && git commit -m "Update website" && git pull && git push
\ No newline at end of file
diff --git a/docs/api/index.html b/docs/api/index.html
index e808922e85..4a8e78936c 100644
--- a/docs/api/index.html
+++ b/docs/api/index.html
@@ -384,6 +384,77 @@ for (let portToTest = 41184; portToTest <= 41194; portToTest++) {
Call GET /ping to check if the service is available. It should return "JoplinClipperServer" if it works.
Call GET /search?query=YOUR_QUERY to search for notes. This end-point supports the field
parameter which is recommended to use so that you only get the data that you need. The query syntax is as described in the main documentation: https://joplinapp.org/#searching
To retrieve non-notes items, such as notebooks or tags, add a type
parameter and set it to the required item type name. In that case, full text search will not be used - instead it will be a simple case-insensitive search. You can also use *
as a wildcard. This is convenient for example to retrieve notebooks or tags by title.
For example, to retrieve the notebook named "recipes": GET /search?query=recipes&type=folder
+To retrieve all the tags that start with "project-": GET /search?query=project-*&type=tag
Item type IDs might be refered to in certain object you will retrieve from the API. This is the correspondance between name and ID:
+Name | +Value | +
---|---|
note | +1 | +
folder | +2 | +
setting | +3 | +
resource | +4 | +
tag | +5 | +
note_tag | +6 | +
search | +7 | +
alarm | +8 | +
master_key | +9 | +
item_change | +10 | +
note_resource | +11 | +
resource_local_state | +12 | +
revision | +13 | +
migration | +14 | +
Windows (32 and 64-bit) | -![]() |
-Or get the Portable version The portable application allows installing the software on a portable device such as a USB key. Simply copy the file JoplinPortable.exe in any directory on that USB key ; the application will then create a directory called "JoplinProfile" next to the executable file. |
+![]() |
+Or get the Portable version The portable application allows installing the software on a portable device such as a USB key. Simply copy the file JoplinPortable.exe in any directory on that USB key ; the application will then create a directory called "JoplinProfile" next to the executable file. |
||
macOS | -![]() |
+![]() |
You can also use Homebrew: brew cask install joplin |
|||
Linux | -![]() |
+![]() |
An Arch Linux package is also available. If it works with your distribution (it has been tested on Ubuntu, Fedora, Gnome and Mint), the recommended way is to use this script as it will handle the desktop icon too: wget -O - https://raw.githubusercontent.com/laurent22/joplin/master/Joplin_install_and_update.sh | bash |
![]() |
Arabic | ar | -عبد الناصر سعيد (as@althobaity.com) | -75% | +أحمد باشا إبراهيم (fi_ahmed_bacha@esi.dz) | +96% |
![]() |
Basque | eu | juan.abasolo@ehu.eus | -42% | +41% | |
![]() |
Bosnian | bs_BA | Derviš T. (dervis.t@pm.me) | -94% | +91% | |
![]() |
Bulgarian | bg_BG | - | 83% | +80% | |
![]() |
Catalan | ca | jmontane, 2019 | -66% | +64% | |
![]() |
Croatian | hr_HR | Hrvoje Mandić (trbuhom@net.hr) | -35% | +34% | |
![]() |
Czech | cs_CZ | Lukas Helebrandt (lukas@aiya.cz) | -96% | +93% | |
![]() |
Dansk | da_DK | Morten Juhl-Johansen Zölde-Fejér (mjjzf@syntaktisk. | -93% | +90% | |
![]() |
@@ -747,70 +748,70 @@ Details:
Español | es_ES | Andros Fenollosa (andros@fenollosa.email) | -96% | +93% | |
![]() |
Esperanto | eo | Marton Paulo (martonpss@gmail.com) | -48% | +46% | |
![]() |
Français | fr_FR | Laurent Cozic | -96% | +93% | |
![]() |
Galician | gl_ES | Marcos Lans (marcoslansgarza@gmail.com) | -54% | +52% | |
![]() |
Italiano | it_IT | - | 91% | +88% | |
![]() |
Nederlands | nl_BE | - | 43% | +42% | |
![]() |
Nederlands | nl_NL | Robert (metbril@outlook.com) | -91% | +88% | |
![]() |
Norwegian | nb_NO | Mats Estensen (code@mxe.no) | -96% | +93% | |
![]() |
Persian | fa | Mehrad Mahmoudian (mehrad@mahmoudian.me) | -41% | +39% | |
![]() |
Polski | pl_PL | - | 82% | +79% | |
![]() |
@@ -824,70 +825,70 @@ Details:
Português (Brasil) | pt_BR | Marton Paulo (martonpss@gmail.com) | -95% | +92% | |
![]() |
Română | ro | - | 42% | +41% | |
![]() |
Slovenian | sl_SI | - | 53% | +52% | |
![]() |
Svenska | sv | Jonatan Nyberg (jonatan@autistici.org) | -73% | +71% | |
![]() |
Türkçe | tr_TR | Hüseyin Fahri Uzun (mail@fahriuzun.com) | -89% | +96% | |
![]() |
Ελληνικά | el_GR | Harris Arvanitis (xaris@tuta.io) | -96% | +93% | |
![]() |
Русский | ru_RU | Artyom Karlov (artyom.karlov@gmail.com) | -92% | +89% | |
![]() |
српски језик | sr_RS | - | 82% | +79% | |
![]() |
中文 (简体) | zh_CN | - | 90% | +87% | |
![]() |
中文 (繁體) | zh_TW | -penguinsam (samliu@gmail.com) | -66% | +Ethan Chen (ethan42411@gmail.com) | +96% |
![]() |
diff --git a/docs/stats/index.html b/docs/stats/index.html
index f3f1c95cc8..26db8e7798 100644
--- a/docs/stats/index.html
+++ b/docs/stats/index.html
@@ -343,15 +343,15 @@ https://github.com/laurent22/joplin/blob/master/readme/stats.md
||||||
Total Windows downloads | -524,159 | +529,913 | ||||
Total macOs downloads | -195,691 | +197,259 | ||||
Total Linux downloads | -152,774 | +153,954 | ||||
Windows % | @@ -363,7 +363,7 @@ https://github.com/laurent22/joplin/blob/master/readme/stats.md||||||
Linux % | -18% | +17% |